/*
 * WeberLogicConfig.java
 *
 * Created on 2007/01/27, 23:58
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.itscool.weber.mapping;

import java.util.HashMap;
import org.itscool.weber.action.*;

/**
 *
 * @author ios
 */
public class RequestMappings{
    private static RequestMappings instance = new RequestMappings();
//    private HashMap rolesModule = new HashMap();
//    private HashMap rolesAction = new HashMap();
    private HashMap exceptions;
    private String pkgName;
    private String fileType;
    
    private RequestMappings(){}
    
    public static RequestMappings getInstance(){
        return instance;
    }

//    public HashMap getRolesModule() {
//        return rolesModule;
//    }
//
//    public void setRolesModule(HashMap rolesModule) {
//        this.rolesModule = rolesModule;
//    }
//
//    public HashMap getRolesAction() {
//        return rolesAction;
//    }
//
//    public void setRolesAction(HashMap rolesAction) {
//        this.rolesAction = rolesAction;
//    }

    public HashMap getExceptions() {
        return exceptions;
    }

    public void setExceptions(HashMap exceptions) {
        this.exceptions = exceptions;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getPkgName() {
        return pkgName;
    }

    public void setPkgName(String pkgName) {
        this.pkgName = pkgName;
    }
    
}
